Skip to main content
POST
Create Transfer

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Body

application/json
credit_batch_quantities
CreditBatchQuantity · object[]
required

A list of credit batch IDs and kilogram amounts of each to transfer.

from_organisation_id
string
required

The ID of the organisation that is sending the credits. Typically this would be your own organisation ID.

Required string length: 20 - 37
Examples:

"org_1GB56M1ST1S0GVNA"

"org_1CP8EQDNQSBXTMR2"

notes
string | null
required

A publicly visible note stored with the credit transfer.

Maximum string length: 256
Example:

"Transferred with care."

supplier_id
string
required

All credits in a transfer must originate from the same supplier.

Required string length: 20 - 37
Examples:

"spl_1CC712KFS1S0YKPS"

"spl_1FJBMMGR3SBXKDME"

to_organisation_id
string
required

The ID of the organisation that will receive the credits.

Required string length: 20 - 37
Examples:

"org_1GB56M1ST1S0GVNA"

"org_1CP8EQDNQSBXTMR2"

Response

Successful Response

credit_batch_size_total
CreditQuantity · object
required
from_organisation
Organisation · object
required
id
string
required
Required string length: 20 - 37
Examples:

"tfr_1FJGWSY271S0QSMR"

"tfr_1FAG5BDW1SBXJ1CH"

notes
string | null
required
to_organisation
Organisation · object
required
transferred_at
string<date-time>
required